<?php
 // --- Saisie d'un caractère ---
 echo "Entrez un caractère : "     ;
 fscanf(STDIN,"%s",$Saisie)        ;
 $Lettre=$Saisie[0]                ;
 echo "Caractère saisi    : ".$Lettre.PHP_EOL ;
 echo "son code ASCII est : ".ord($Lettre).PHP_EOL ;
 // --- Saisie d'un code ASCII ---
 echo "Entrez un code ASCII : "    ;
 fscanf(STDIN,"%d",$Code)          ;
 echo "Code saisi              : ".$Code.PHP_EOL ;
 echo "correspond au caractère : ".chr($Code).PHP_EOL ;
 // --- Vérification d'un caractère de contrôle ---
 $Lettre="\f";
 if (ctype_cntrl($Lettre))
   echo "Le caractère >>>\f<<< est un caractère de contrôle".PHP_EOL;
 else
   echo "Le caractère >>>\f<<< n'est pasun caractère de contrôle".PHP_EOL;
 // --- Vérification d'un caractère imprimable --- 
 if (ctype_print($Lettre))
   echo "Le caractère >>>\f<<< est imprimable".PHP_EOL;
 else
   echo "Le caractère >>>\f<<< n'est pas imprimable".PHP_EOL;
 // --- Vérification d'un caractère graphique imprimable --- 
 if (ctype_graph($Lettre))
   echo "Le caractère >>>\f<<< est imprimable".PHP_EOL;
 else
   echo "Le caractère >>>\f<<< n'est pas imprimable".PHP_EOL;
?>
